# $Revision: 1.40 $, $Date: 2008/04/02 08:31:29 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	Tagset
Summary:	This module contains data tables useful in dealing with HTML
Summary(cs.UTF-8):	Modul datových tabulek pro práci s HTML
Summary(da.UTF-8):	Dette modul indeholder datatabeller som er nyttiga ved behandling af HTML
Summary(de.UTF-8):	Dieses Modul enthält Datentabellen, die bei der Arbeit mit HTML nützlich sind
Summary(es.UTF-8):	Este módulo contiene tablas de datos útiles para trabajar con HTML
Summary(fr.UTF-8):	Ce module contient des tables de données pratiques pour travailler avec HTML
Summary(it.UTF-8):	Questo modulo contiene tabelle di dati utili per la gestione di HTML
Summary(ja.UTF-8):	このモジュールには、HTML を処理するのに役立つデータテーブルが収録されています。
Summary(ko.UTF-8):	이 모줄은 HTML을 처리하는데 유용한 데이터 표들을 포함하고 있습니다
Summary(pl.UTF-8):	Moduł Perla zawierający tablice przydatne przy obróbce HTML
Summary(pt.UTF-8):	Este módulo contém tabelas de dados úteis para lidar com o HTML
Summary(sv.UTF-8):	Denna modul innehåller datatabeller som är användbara vid hantering av HTML
Summary(zh_CN.UTF-8):	这个模块包括对处理 HTML 有用的数据表格。
Name:		perl-HTML-Tagset
Version:	3.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d2bfa18fe1904df7f683e96611e87437
URL:		http://search.cpan.org/dist/HTML-Tagset/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::Tagset - This module contains data tables useful in dealing with
HTML. It provides no functions or methods.

%description -l cs.UTF-8
Balíček perl-HTML-Tagset obsahuje datové tabulky, které se používají
pro práci s HTML. Neposkytuje žádné funkce ani metody.

%description -l da.UTF-8
HTML::Tagset - Dette modul indeholder datatabeller som er godt at have
når man handskas HTML. Den tillhandahåller inga funktioner eller
metoder.

%description -l de.UTF-8
HTML::Tagset - Dieses Modul enthält Datentabellen, die bei der Arbeit
mit HTML nützlich sind. Es liefert weder Funktionen noch Methoden.

%description -l es.UTF-8
HTML::Tagset - Este módulo contiene tablas de datos útiles para
trabajar con HTML. No proporciona ni funciones ni métodos.

%description -l fr.UTF-8
HTML::Tagset - Ce module contient des tables de données pratiques
lorsque vous travailler avec HTML. Il ne fournit aucune fonction ou
méthode.

%description -l it.UTF-8
HTML::Tagset - Questo modulo contiene tabelle di dati utili per la
gestione di HTML. Non fornisce funzioni né metodi."

%description -l ja.UTF-8
このモジュールには、HTML を処理するのに役立つデータテーブルが収録され
ています。これは関数やメソッドを提供しません。

%description -l pl.UTF-8
HTML::Tagset jest modułem dostarczającym tablic użytecznych przy
obróbce plików HTML.

%description -l pt.UTF-8
HTML::Tagset - Este módulo contém tabelas de dados úteis para lidar
com o HTML. Não fornece funções ou métodos.

%description -l sv.UTF-8
HTML::Tagset - Denna modul innehåller datatabeller som är bra att ha
när man handskas med HTML. Den tillhandahåller inga funktioner eller
metoder.

%description -l zh_CN.UTF-8
该模块包括几个对执行各类 HTML 解析操作有用的数据表格，
如标签和实体名称。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/Tagset.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-Tagset.spec,v $
Revision 1.40  2008/04/02 08:31:29  arekm
- up to 3.20

Revision 1.39  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.38  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.37  2006/10/09 12:24:52  qboosh
- added URL

Revision 1.36  2006/05/15 08:59:50  ankry
- fix zh_CN

Revision 1.35  2005/11/26 10:10:35  charles
- updated to 3.10

Revision 1.34  2005/05/11 00:17:54  pluto
- release 2 for Th.

Revision 1.33  2005/01/03 12:39:09  adamg
- updated to 3.04

Revision 1.32  2004/11/03 22:30:26  paladine
- formatting

Revision 1.31  2004/10/24 15:09:31  paladine
- spelling fix

Revision 1.30  2004/10/24 15:08:48  paladine
- perla->Perla

Revision 1.29  2004/05/07 00:41:49  ankry
- rel. 9

Revision 1.28  2004/05/06 18:09:41  ankry
- fixed perl-devel BR

Revision 1.27  2004/04/25 08:29:41  ankry
- tests added

Revision 1.26  2004/04/22 06:53:53  ankry
- license fixes and unification

Revision 1.25  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.24  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.23  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.19  2003/03/01 19:36:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.18  2003/03/01 19:09:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/24 20:31:54  radek
- use the __perl macro

Revision 1.16  2003/02/18 15:33:15  ankry
- massive attack: change CPAN URLs

Revision 1.15  2002/07/15 15:47:34  ankry
- merged translations from RH
- new %%doc
- cleaning
- release 6

Revision 1.14  2002/07/10 08:47:36  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.13  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.12  2002/02/25 10:32:06  depesz
cleanup; revision++

Revision 1.11  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/13 14:16:24  depesz
automatic: Source location unified, Relase Up

Revision 1.9  2002/02/10 15:27:21  depesz
adapterized

Revision 1.8  2002/01/18 02:14:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.6  2001/04/17 12:10:33  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.5  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.4  2001/02/11 17:51:22  depesz
- new version

Revision 1.3  2001/01/08 20:05:22  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.2  2000/10/11 07:48:00  depesz
- corrected "Log" (?)
